| Home | Libraries | People | FAQ | More

##### url_view::host_ipvfuture

Return the host IPvFuture address.

###### Synopsis

    core::string_view
    host_ipvfuture() const;

###### Description

If the host type is `host_type::ipvfuture`, this function returns the address as a string. Otherwise, if the host type is not an IPvFuture address, it returns an empty string.

###### Example

    assert( url_view( "http://[v1fe.d:9]/index.htm" ).host_ipvfuture() == "v1fe.d:9" );

###### Complexity

Constant.

###### Exception Safety

Throws nothing.

###### BNF

    IPvFuture  = "v" 1*HEXDIG "." 1*( unreserved / sub-delims / ":" )

###### Specification

- 3.2.2. Host (rfc3986)